/*
 * PrintPlugin - Sample plugin interface
 * Copyright (C) 2006  Johannes Mayer
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package examples;

import de.uulm.plugin.*;
import java.util.*;

/**
* Minimal plugin interface. Thus, <i>Plugin</i> has to be extended by
* this interface. By extending <i>Singleton</i>, there will be at most
* one object of each concrete plugin of this type.
*
* @author  Johannes Mayer
* @version 0.2, 2006-12-05
*/
public interface PrintPlugin extends Plugin, Singleton {
    public void print();
}
