/*
 * DisplayString - Plugin that displays strings
 * Copyright (C) 2006  Johannes Mayer
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package examples.plugins;

import de.uulm.plugin.*;
import examples.*;
import java.util.*;

/**
* Minimal plugin to display strings.
*
* @author  Johannes Mayer
* @version 0.1, 2006-12-05
*/
public class DisplayString implements DisplayPlugin {
    public boolean canDisplay(Object o) {
    	return o instanceof String;
    }
    public void display(Object o) {
    	String s = (String) o;
	System.out.println("<i>"+s+"</i>");
    }
}
